You can migrate your existing vRealize Orchestrator 7.x deployment to a vRealize Orchestrator 8.x environment. Migration is supported for vRealize Orchestrator 7.3 or later authenticated with vSphere or with vRealize Automation 7.x.

What does the migration include?

The vRealize Orchestrator migration transfers an external source vRealize Orchestrator configuration to your current vRealize Orchestrator environment, overwriting all existing elements such as workflows, actions, configuration and resource elements, including secure strings in workflows and configuration elements, packages, tasks, policies, certificates and trusted certificates, plug-ins and plug-in configurations, custom records in the the js-io-rights.conf file, Control Center system properties. The migration includes both built-in and custom vRealize Orchestrator content.
  • The migration of vRealize Orchestrator instances authenticated with vSphere also includes the state of currently running entities, such as workflow execution tokens, scheduled tasks, policy runs.
  • For vRealize Orchestrator instances authenticated with vRealize Automation, the currently running entities appear in a failed state in the target vRealize Orchestrator environment.

What is not migrated?

The migrated vRealize Orchestrator configuration does not include the following data that might affect the target vRealize Orchestrator performance and use.
  • The VCAC, VCACCAFE, GEF, Data Management, and Workflow Documentation plug-ins of the source vRealize Orchestrator. Aside from workflow runs, all vRealize Orchestrator content associated with these plug-ins is not migrated to the vRealize Orchestrator target environment.
  • Syslog server configuration in the Logging Integration page in Control Center.
  • Workflow execution logs.
  • Dynamic Types plug-in configurations.

Migrating embedded vRealize Orchestrator environments

You can migrate your external vRealize Orchestrator 7.x environment to both external and embedded vRealize Orchestrator environments. However, migration of embedded vRealize Orchestrator environments to external environments is not supported.

For information about migrating embedded vRealize Orchestrator environments, see the vRealize Automation 8 Transition Guide.

FIPS compliance considerations

Migrating or upgrading existing non-FIPS deployments to FIPS-compliant vRealize Orchestrator 8.5 environments is not supported.

By default, FIPS mode can be enabled only during installation. For more information, see Download and Deploy the vRealize Orchestrator Appliance.

To learn more about support for FIPS 140-2 in VMware products, see this page.